<?php
ini_set("memory_limit", "256M");
ini_set("max_execution_time", 3600);

require_once("/home/painel/public_html/admin/inc/conecta.php");
require_once("/home/painel/public_html/admin/inc/funcoes.php");

$response = ''; 

$passe = false;
$array_cidade = array();

$sql = mysqli_query($conexao,"SELECT DISTINCT(cidade) as cidade FROM streamings where status = '1' AND cidade IS NOT NULL ORDER by cidade ASC "); 

if(mysqli_num_rows($sql)):
while ($dados_stm = mysqli_fetch_array($sql)) :

$dados_config = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM configuracoes"));

        if ($dados_stm['cidade']):
            $cidade = str_replace('-', '_', formatar_nome_cidade($dados_stm['cidade']));
            $dados_json = @file_get_contents('http://api.weatherstack.com/current?access_key=".$dados_config["chave_previsao_tempo"]."&query=' . $cidade);            
            $json = json_decode($dados_json, true);  
            $array_cidade[$cidade] = array(intval($json['current']['feelslike']), $json['current']['humidity']);
        endif;
    endwhile;
endif;

//ler o arquivo tempo.json para reescrever o arquivo com as novas informações capturadas
$file = fopen("/home/painel/public_html/robots/tempo.json", "w");

fwrite($file, json_encode($array_cidade));
fclose($file);

echo "\n[" . date("d/m/Y H:i:s") . "] Processo Concluído.\n\n";

?>
